Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
Version: 20001010
Release: 1.0.4
Copyright: BSD
Group: System Environment/Daemons
Source0: http://ftp.sunet.se/pub/os/Linux/ip-routing/iputils-ss001010.tar.gz
Patch0: ping-deadline.patch
Patch1: iputils-20001010-noip6.patch
# Patch7: iputils-20001007-rh7.patch
Patch8: iputils-20001010-bug16677.patch
# Patch9: iputils-20001010-rh6.patch
Patch10: iputils-20001010-Makefile.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%prep
%setup -q -n %{name} -a 0

%patch0 -p1 -b .deadline
%patch1 -p1 -b .noip6
%patch8 -p1 -b .bug16677
%patch10 -p1 -b .Makefile

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -c arping		${RPM_BUILD_ROOT}%{_sbindir}/
install -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
install -c ping			${RPM_BUILD_ROOT}/bin/
install -c tracepath		${RPM_BUILD_ROOT}%{_sbindir}/

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -c arping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c clockdiff.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c ping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c tracepath.8		${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES
%attr(0750,root,admin) %{_sbindir}/arping
%{_sbindir}/clockdiff
%attr(0750,root,admin) 	/bin/ping
%attr(0750,root,admin)  %{_sbindir}/tracepath
%doc %{_mandir}/man8/*

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 20001010, Release 1.0.4
  - i386 build fixes.


* Sat Oct 28 2000 Dave Wreski <dave@guardiandigital.com>
- removed ipv6 tools
- removed eth bonding tools

* Fri Oct 20 2000 Pete O'Hara <pete@guardiandigital.com>
- removed suid and world access from ping and other binaries
	and changed group to "admin" for EnGarde
- removed in.rdisc - both for security reasons
- initial build based on RH6

